Bug 92306 - ggv crashes while attempting to render certain PostScript files
Summary: ggv crashes while attempting to render certain PostScript files
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ggv   
(Show other bugs)
Version: 9
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Marco Pesenti Gritti
QA Contact:
URL: http://simultan.dyndns.org/~arjones/b...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-04 19:03 UTC by Andrew Rucker Jones
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 14:23:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Rucker Jones 2003-06-04 19:03:03 UTC
Description of problem: Certain PostScript files cause components of ggv to
crash when loaded.


Version-Release number of selected component (if applicable):
ggv-1.99.97-2
mozilla-1.2.1-26
ghostscript-7.05-32.1 (if this is even used)
In other words, RH 9 with all the latest patches.


How reproducible: Load the referenced URL with Mozilla, go to File -> Print...,
choose to print to a file, then load the resulting file into ggv (e.g. ggv
mozilla.ps).


Steps to Reproduce: See above.
    
Actual results: The ggv GUI appears, but it is empty. There is a core file from
'ggv-postscript-' in the working directory. Further attempts to load the file
through the GUI result in further core files. Understandably, the following
error is printed to the console: (ggv:25615): Bonobo-WARNING **: Leaked a total
of 2 refs to 2 bonobo object(s)


Expected results: The file should be displayed.


Additional info: Sorry about the slow Internet connection and large file for the
URL above. Core files are also available if necessary.

Comment 1 Dan Williams 2004-11-17 18:25:18 UTC
Mass reassign to Marco.

Comment 2 Andrew Rucker Jones 2005-02-18 14:23:15 UTC
Somewhere along the way, this bug was fixed. Current versions of the
above mentioned programs (mozilla-1.7.3-17, ggv-2.8.0-1,
ghostscript-7.07-33) don't exhibit this behavior anymore.


Note You need to log in before you can comment on or make changes to this bug.